AS24-U2-000310 - The Apache web server must allow mappings to unused and vulnerable scripts to be removed.

Information

Scripts allow server-side processing on behalf of the hosted application user or as processes needed in the implementation of hosted applications. Removing scripts not needed for application operation or deemed vulnerable helps to secure the web server.

To ensure scripts are not added to the web server and run maliciously, script mappings that are not needed or used by the web server for hosted application operation must be removed.

NOTE: Nessus has provided the target output to assist in reviewing the benchmark to ensure target compliance.

Solution

Determine the location of the 'HTTPD_ROOT' directory and the 'httpd.conf' file:

# httpd -V | egrep -i 'httpd_root|server_config_file'
-D HTTPD_ROOT='/etc/httpd'
-D SERVER_CONFIG_FILE='conf/httpd.conf'

Remove any scripts in 'cgi-bin' directory if they are not needed for application operation.

Ensure this process is documented and approved by the ISSO.

See Also

https://dl.dod.cyber.mil/wp-content/uploads/stigs/zip/U_Apache_Server_2-4_UNIX_Y22M01_STIG.zip

Item Details

Category: CONFIGURATION MANAGEMENT

References: 800-53|CM-7a., CAT|II, CCI|CCI-000381, Rule-ID|SV-214282r612241_rule, STIG-ID|AS24-U2-000310, STIG-Legacy|SV-102863, STIG-Legacy|V-92775, Vuln-ID|V-214282

Plugin: Unix

Control ID: fadb1704dd543c24d5b3f8dd1fc269972cf6ff3033b49f9b2b750c99cb3d41e1